DefaultFontConfig.DefaultFontConfigParser (Apache FOP 2.7 API)
Date: 2022-01-12

org.apache.fop.fonts

## Class DefaultFontConfig.DefaultFontConfigParser

- java.lang.Object
- - org.apache.fop.fonts.DefaultFontConfig.DefaultFontConfigParser

- All Implemented Interfaces:
    FontConfig.FontConfigParser
  Enclosing class:
    DefaultFontConfig

      public static final class DefaultFontConfig.DefaultFontConfigParser
      extends java.lang.Object
      implements FontConfig.FontConfigParser

  Parses the morge generic font information.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultFontConfigParser()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `DefaultFontConfig` | `parse(Configuration cfg, boolean strict)` Parses the font configuration and return the configuration object.
    `DefaultFontConfig` | `parse(Configuration cfg, boolean strict, FontEventAdapter eventAdapter)`
    `FontConfig` | `parse(Configuration cfg, FontManager fontManager, boolean strict, EventProducer eventProducer)` Parse the font configuration and return an object containing all the necessary data.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultFontConfigParser

          public DefaultFontConfigParser()

  - ### Method Detail

    - #### parse

          public DefaultFontConfig parse(Configuration cfg,
                                         boolean strict)
                                  throws FOPException

      Parses the font configuration and return the configuration object.
      Parameters:
        `cfg` - the configuration data
        `strict` - whether or not to enforce strict validation
      Returns:
        the font configuration object
      Throws:
        `FOPException` - if an error occurs when creating the configuration object

    - #### parse

          public DefaultFontConfig parse(Configuration cfg,
                                         boolean strict,
                                         FontEventAdapter eventAdapter)
                                  throws FOPException

      Throws:
        `FOPException`

    - #### parse

          public FontConfig parse(Configuration cfg,
                                  FontManager fontManager,
                                  boolean strict,
                                  EventProducer eventProducer)
                           throws FOPException

      Parse the font configuration and return an object containing all the necessary data.
      Specified by:
        `parse` in interface `FontConfig.FontConfigParser`
      Parameters:
        `cfg` - the configuration object
        `fontManager` - the font manager
        `strict` - whether or not to enforce strict validation
        `eventProducer` - the event producer for handling font events
      Returns:
        the configuration object
      Throws:
        `FOPException` - if an error occurs creating the font configuration object

Copyright 1999-2022 The Apache Software Foundation. All Rights Reserved.